import whirlpool #python-whirlpool https://github.com/radiosilence/python-whirlpool/
import random

def checkPassword(password, salt):
    length = len(password)//2
    string = password[:length] + str(salt) + password[length:]
    wp = whirlpool.new(string.encode('utf-8'))
    print("Original string hashed: %s\n" % string);
    print("Hash: %s\nSalt: %s" % (wp.hexdigest(), salt))

password = input("Password:")
salt = input("Salt:")
checkPassword(password, salt)